With the impending release of 10.3.1 and those already running either a leaked version of 10.3 or are lucky enough to have a Passport...might be time to revisit this question.

I think with the addition of the Amazon App Store whatever app gap has pretty much been closed.